Name:           perl-Test-ConsistentVersion
Version:        0.3.1
Release:    3%{?dist}
Summary:        Ensures a CPAN distribution has consistent versioning
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Test-ConsistentVersion
Source0:        https://cpan.metacpan.org/modules/by-module/Test/Test-ConsistentVersion-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(autodie)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Test::Builder) >= 0.94
BuildRequires:  perl(Test::Pod::Content)
BuildRequires:  perl(version)
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(English)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14
Requires:       perl(Test::Pod::Content)

%description
The purpose of this module is to make it easy for other distribution
authors to have consistent version numbers within the modules (as well as
README file and Changelog) of the distribution.

%prep
%setup -q -n Test-ConsistentVersion-v%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
TEST_AUTHOR=1 ./Build test

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::ConsistentVersion.3*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-2
- rebuild

* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-1
- initial build
